Subject: Re: bug#74369: 29.4; Freeze on Intel Mac

From: Ship Mints <[email-masked]>
Date: Fri, 15 Nov 2024 14:45:10 -0500

Not sure which build you're using but I suspect it is
https://emacsformacosx.com/ judging by your environment at first glance. I
used to experience similar freezes when I used it.

I switched to https://github.com/jimeh/emacs-builds/releases/tag/Emacs-29.4
which performs much better, supports native compilation, and I do not
experience freezes. Give it a try if you're not already on this build. Jim
is also very responsive.

On Fri, Nov 15, 2024 at 2:14 PM Adam Shannon <[email-masked]> wrote:

> In GNU Emacs 29.4 (build 1, x86_64-apple-darwin18.7.0, NS appkit-1671.60
>  Version 10.14.6 (Build 18G9323)) of 2024-08-02 built on
>  builder10-14.lan
> Windowing system distributor 'Apple', version 10.3.2487
> System Description:  macOS 14.7.1
>
> Configured using:
>  'configure --with-ns '--enable-locallisppath=/Library/Application
>  Support/Emacs/${version}/site-lisp:/Library/Application
>  Support/Emacs/site-lisp' --with-modules 'CFLAGS=-DFD_SETSIZE=10000
>  -DDARWIN_UNLIMITED_SELECT' --with-x-toolkit=no'
>
> Configured features:
> ACL GLIB GMP GNUTLS JPEG JSON LIBXML2 MODULES NOTIFY KQUEUE NS PDUMPER
> PNG RSVG SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER ZLIB
>
> Important settings:
>   value of $LANG: en_US.UTF-8
>   locale-coding-system: utf-8-unix
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   server-mode: t
>   minibuffer-depth-indicate-mode: t
>   global-auto-revert-mode: t
>   shell-dirtrack-mode: t
>   global-highlight-parentheses-mode: t
>   highlight-parentheses-mode: t
>   delete-selection-mode: t
>   keyfreq-autosave-mode: t
>   keyfreq-mode: t
>   ido-vertical-mode: t
>   ido-everywhere: t
>   override-global-mode: t
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   show-paren-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>
> Load-path shadows:
> /Users/adam/.emacs.d/elpa/transient-20240618.1413/transient hides
> /Applications/Emacs.app/Contents/Resources/lisp/transient
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-jump hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-jump
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-ensure
> hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-ensure
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-core hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-core
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-delight
> hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-delight
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-diminish
> hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-diminish
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-bind-key
> hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-bind-key
> /Users/adam/.emacs.d/elpa/bind-key-20230203.2004/bind-key hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/bind-key
> /Users/adam/.emacs.d/elpa/use-package-20230426.2324/use-package-lint hides
> /Applications/Emacs.app/Contents/Resources/lisp/use-package/use-package-lint
>
> Features:
> (shadow sort mail-extr emacsbug message yank-media puny rfc822 mml
> mml-sec gnus-util mm-decode mm-bodies mm-encode mail-parse rfc2231
> mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums
> mm-util mail-prsvr mail-utils smex server mine-bindings mine-magit
> mine-go mine-pretty tango-dark-theme mine-mode-line mine-languages
> mine-tramp tramp tramp-loaddefs trampver tramp-integration tramp-compat
> parse-time iso8601 time-date format-spec mine-defuns mine-builtin
> epa-file epa epg rfc6068 epg-config mb-depth autorevert filenotify
> mine-eshell mine-env mine-ag mine-mine claude-shell
> claude-shell-fontifier chatgpt-shell derived shell-maker view shell
> pcomplete goto-addr ielm pp eshell esh-mode esh-cmd esh-ext esh-opt
> esh-proc esh-io esh-arg esh-module esh-groups esh-util files-x
> highlight-parentheses delsel keyfreq ido-vertical-mode ido
> terraform-mode hcl-mode vlf advice vlf-base vlf-tune lua-mode edmacro
> kmacro handlebars-mode typescript-mode crystal-mode groovy-mode
> clojure-mode lisp-mnt haskell-mode haskell-cabal haskell-utils
> haskell-font-lock haskell-indentation haskell-string
> haskell-sort-imports haskell-lexeme haskell-align-imports
> haskell-complete-module haskell-ghc-support dabbrev haskell-customize
> rust-utils rust-prog-mode rust-mode rust-playpen rust-compile rust-cargo
> rust-common rust-rustfmt go-mode find-file ffap json-reformat yaml-mode
> scala-mode scala-mode-prettify-symbols scala-mode-imenu scala-mode-map
> scala-mode-fontlock scala-mode-indent scala-mode-paragraph
> scala-mode-syntax scala-mode-lib sbt-mode sbt-mode-rgrep grep
> sbt-mode-comint sbt-mode-buffer sbt-mode-project sbt-mode-vars ruby-mode
> markdown-mode color noutline outline dockerfile-mode sh-script smie
> treesit executable php-mode cc-langs mode-local find-func imenu speedbar
> ezimage dframe cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles
> cc-align php-face php rx php-project flymake-proc flymake warnings icons
> thingatpt cc-engine cc-vars cc-defs erlang etags fileloop generator xref
> project tempo align ag vc-svn compile text-property-search comint
> ansi-osc ansi-color ring find-dired dash dired dired-loaddefs s cl-extra
> help-mode cap-words superword subword use-package use-package-ensure
> use-package-delight use-package-diminish use-package-bind-key bind-key
> easy-mmode use-package-core finder-inf claude-shell-autoloads info
> package browse-url url url-proxy url-privacy url-expand url-methods
> url-history url-cookie generate-lisp-file url-domsuf url-util mailcap
> url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
> password-cache json subr-x map byte-opt gv bytecomp byte-compile
> url-vars cl-loaddefs cl-lib rmc iso-transl tooltip cconv eldoc paren
> electric uniquify ediff-hook vc-hooks lisp-float-type elisp-mode mwheel
> term/ns-win ns-win ucs-normalize mule-util term/common-win tool-bar dnd
> fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
> isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
> font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
> indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite emoji-zwj charscript charprop case-table epa-hook
> jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
> theme-loaddefs faces cus-face macroexp files window text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget keymap
> hashtable-print-readable backquote threads kqueue cocoa ns multi-tty
> make-network-process emacs)
>
> Memory information:
> ((conses 16 543935 14024)
>  (symbols 48 29264 0)
>  (strings 32 195446 5992)
>  (string-bytes 1 5071413)
>  (vectors 16 50632)
>  (vector-slots 8 640674 22415)
>  (floats 8 180 47)
>  (intervals 56 364 0)
>  (buffers 984 10))
>